---
title: List Available Rate Plans
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Zones](https://developers.cloudflare.com/api/typescript/resources/zones)

[Rate Plans](https://developers.cloudflare.com/api/typescript/resources/zones/subresources/rate_plans)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Available Rate Plans

client.zones.ratePlans.get(RatePlanGetParams {zone\_id } params, RequestOptionsoptions?): SinglePage< [RatePlanGetResponse](<https://developers.cloudflare.com/api/typescript/resources/zones#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)>) {id, components, currency, 3 more } >

GET/zones/{zone\_id}/available\_rate\_plans

Lists all rate plans the zone can subscribe to.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Billing Write``Billing Read`

##### ParametersExpand Collapse

<details>

<summary>

params: RatePlanGetParams {zone\_id }

</summary>

zone\_id: string

Identifier

maxLength32

<a href="#(resource)%20zones.rate_plans%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.rate_plans%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

RatePlanGetResponse {id, components, currency, 3 more }

</summary>

id?: string

Plan identifier tag.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

components?: Array&lt;Component&gt;

Array of available components values for the plan.

</summary>

default?: number

The default amount allocated.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20default">Link to this property</a>

<details>

<summary>

name?: "zones"| "page\_rules"| "dedicated\_certificates"| "dedicated\_certificates\_custom"

The unique component.

</summary>

One of the following:

"zones"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name%20%3E%20(member)%200">Link to this property</a>

"page\_rules"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name%20%3E%20(member)%201">Link to this property</a>

"dedicated\_certificates"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name%20%3E%20(member)%202">Link to this property</a>

"dedicated\_certificates\_custom"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

unit\_price?: number

The unit price of the component.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20unit_price">Link to this property</a>

</details>

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components">Link to this property</a>

currency?: string

The monetary unit in which pricing information is displayed.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20currency">Link to this property</a>

duration?: number

The duration of the plan subscription.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20duration">Link to this property</a>

<details>

<summary>

frequency?: "weekly"| "monthly"| "quarterly"| "yearly"

The frequency at which you will be billed for this plan.

</summary>

One of the following:

"weekly"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%200">Link to this property</a>

"monthly"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%201">Link to this property</a>

"quarterly"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%202">Link to this property</a>

"yearly"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency">Link to this property</a>

name?: string

The plan name.

maxLength80

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)>)

### List Available Rate Plans

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const ratePlanGetResponse of client.zones.ratePlans.get({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(ratePlanGetResponse.id);
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "free",
      "components": [
        {
          "default": 5,
          "name": "page_rules",
          "unit_price": 1
        }
      ],
      "currency": "USD",
      "duration": 1,
      "frequency": "monthly",
      "name": "Free Plan"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "free",
      "components": [
        {
          "default": 5,
          "name": "page_rules",
          "unit_price": 1
        }
      ],
      "currency": "USD",
      "duration": 1,
      "frequency": "monthly",
      "name": "Free Plan"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```